name: Update Contributors

on: [ push, workflow_dispatch]

jobs:
  Update:
    runs-on: ubuntu-latest

    steps:
      - name: Git checkout
        uses: actions/checkout@v3

      - name: Update Contributors
        uses: BobAnkh/add-contributors@master
        with:
          REPO_NAME: 'SoftCreatR/JSONPath'
          CONTRIBUTOR: '## Contributors ✨'
          ACCESS_TOKEN: ${{secrets.GITHUB_TOKEN}}
